import {
  a,
  c as i
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/hsts.js
var r = i((n, t) => {
  t.exports = s;
  s.displayName = "hsts";
  s.aliases = [];
  function s(e) {
    e.languages.hsts = {
      directive: {
        pattern: /\b(?:includeSubDomains|max-age|preload)(?=[\s;=]|$)/i,
        alias: "property"
      },
      operator: /=/,
      punctuation: /;/
    };
  }
  a(s, "hsts");
});

export {
  r as a
};
